Package ch.qos.logback.core.util

# Interface InvocationGate

All Known Implementing Classes:
  `DefaultInvocationGate`

public interface InvocationGate

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`TIME_UNAVAILABLE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isTooSoon(long currentTime)`
The caller of this method can decide to skip further work if the returned value is true.

## Field Details

### TIME_UNAVAILABLE

static final long TIME_UNAVAILABLE

See Also:
  - Constant Field Values

## Method Details

### isTooSoon

boolean isTooSoon(long currentTime)
The caller of this method can decide to skip further work if the returned value is true. Implementations should be able to give a reasonable answer even if current time date is unavailable.

Parameters:
  `now` - can be TIME_UNAVAILABLE (-1) to signal that time is not available
Returns:
  if true, caller should skip further work